|
From: <wsh...@us...> - 2003-08-26 00:39:57
|
Update of /cvsroot/emc/rcslib/etc
In directory sc8-pr-cvs1:/tmp/cvs-serv4684/etc
Modified Files:
Tag: wps_multiplat_dev_branch
multiplatbuild.sh testnml_internal.sh
Log Message:
.
Index: multiplatbuild.sh
===================================================================
RCS file: /cvsroot/emc/rcslib/etc/Attic/multiplatbuild.sh,v
retrieving revision 1.1.2.4
retrieving revision 1.1.2.5
diff -C2 -d -r1.1.2.4 -r1.1.2.5
*** multiplatbuild.sh 22 Aug 2003 20:06:36 -0000 1.1.2.4
--- multiplatbuild.sh 26 Aug 2003 00:39:44 -0000 1.1.2.5
***************
*** 342,346 ****
if test ! -f Makefile -a "xdistclean" != "x${1}" ; then
! ${rcsdir}/configure --prefix=${install_dir} || exit 127
fi
if test -f Makefile ; then
--- 342,346 ----
if test ! -f Makefile -a "xdistclean" != "x${1}" ; then
! ${rcsdir}/configure --prefix=${install_dir} ${host_arg_to_add} || exit 127
fi
if test -f Makefile ; then
Index: testnml_internal.sh
===================================================================
RCS file: /cvsroot/emc/rcslib/etc/testnml_internal.sh,v
retrieving revision 1.2
retrieving revision 1.2.2.1
diff -C2 -d -r1.2 -r1.2.2.1
*** testnml_internal.sh 19 Jun 2003 15:39:58 -0000 1.2
--- testnml_internal.sh 26 Aug 2003 00:39:44 -0000 1.2.2.1
***************
*** 11,20 ****
echo "PRINTENV"
printenv
! builddir=.
if test '!' -x "${builddir}/nmlclean" -a '!' -x "${builddir}/nmlcfg" -a '!' -x "${builddir}/nml_test_server" ; then
if test -x './=build/nmlclean' -a -x './=build/nmlcfg' -a -x './=build/nml_test_server' ; then
! builddir='./=build';
echo "build directory set to:"
echo ${builddir}
--- 11,21 ----
echo "PRINTENV"
printenv
+ printenv >&2
! builddir=`pwd`
if test '!' -x "${builddir}/nmlclean" -a '!' -x "${builddir}/nmlcfg" -a '!' -x "${builddir}/nml_test_server" ; then
if test -x './=build/nmlclean' -a -x './=build/nmlcfg' -a -x './=build/nml_test_server' ; then
! builddir=`pwd`'/=build';
echo "build directory set to:"
echo ${builddir}
***************
*** 59,65 ****
fi
echo "Testing nmlcfg . . ."
! ${builddir}/nmlcfg ${srcdir}/src/test/test.nml2 -o /tmp/test.nml
if test $? -ne 0 ; then
echo "nmlcfg test failed"
--- 60,79 ----
fi
+ ls -l
+ ls -l >&2
+
+ echo "Current directory:"
+ pwd
+ pwd >&2
+
+ echo PROGRAM_LAUNCHER=${PROGRAM_LAUNCHER}
+ echo EXEEXT=${EXEEXT}
+ echo KILL_LAUNCHER=${KILL_LAUNCHER}
+
echo "Testing nmlcfg . . ."
! ${KILL_LAUNCHER}
!
! ${PROGRAM_LAUNCHER} ${builddir}/nmlcfg${EXEEXT} ${srcdir}/src/test/test.nml2 -o /tmp/test.nml
if test $? -ne 0 ; then
echo "nmlcfg test failed"
***************
*** 74,84 ****
echo "nmlcfg test Passed"
echo "Starting server . . ."
! ${builddir}/nml_test_server b1 b1s /tmp/test.nml &
sleep 5
echo "Testing local write . . . "
! ${builddir}/nml_test_write b1 lw /tmp/test.nml 7
if test $? -ne 0 ; then
echo "Local write test failed."
--- 88,100 ----
echo "nmlcfg test Passed"
+ ${KILL_LAUNCHER}
+
echo "Starting server . . ."
! ${PROGRAM_LAUNCHER} ${builddir}/nml_test_server${EXEEXT} b1 b1s /tmp/test.nml &
sleep 5
echo "Testing local write . . . "
! ${PROGRAM_LAUNCHER} ${builddir}/nml_test_write${EXEEXT} b1 lw /tmp/test.nml 7
if test $? -ne 0 ; then
echo "Local write test failed."
***************
*** 101,105 ****
echo "Testing local read . . . "
! ${builddir}/nml_test_read b1 lr /tmp/test.nml 7
if test $? -ne 0 ; then
echo "Local read test failed."
--- 117,121 ----
echo "Testing local read . . . "
! ${PROGRAM_LAUNCHER} ${builddir}/nml_test_read${EXEEXT} b1 lr /tmp/test.nml 7
if test $? -ne 0 ; then
echo "Local read test failed."
***************
*** 136,154 ****
fi
echo "Starting server . . ."
! ${builddir}/nml_test_server b1 b1s /tmp/test.nml &
sleep 5
! ( sleep 5 ; ${builddir}/nml_test_write b1 lw /tmp/test.nml 8; \
! ${builddir}/nml_test_blocking_read b1 lr /tmp/test.nml 30 8 \
) &
echo "Testing local blocking read . . . "
! ${builddir}/nml_test_blocking_read b1 lr /tmp/test.nml 30 8 &
! ${builddir}/nml_test_blocking_read b1 lr /tmp/test.nml 30 8 &
! ${builddir}/nml_test_blocking_read b1 lr /tmp/test.nml 30 8 &
sleep 1
! ${builddir}/nml_test_blocking_read b1 lr /tmp/test.nml 30 8 &
! ${builddir}/nml_test_blocking_read b1 lr /tmp/test.nml 30 8
if test $? -ne 0 ; then
echo "Local blocking read test failed."
--- 152,173 ----
fi
+ ${KILL_LAUNCHER}
+
echo "Starting server . . ."
! ${PROGRAM_LAUNCHER} ${builddir}/nml_test_server${EXEEXT} b1 b1s /tmp/test.nml &
sleep 5
! ( sleep 5 ; ${PROGRAM_LAUNCHER} ${builddir}/nml_test_write${EXEEXT} b1 lw /tmp/test.nml 8; \
! ${PROGRAM_LAUNCHER} ${builddir}/nml_test_blocking_read${EXEEXT} b1 lr /tmp/test.nml 30 8 \
) &
echo "Testing local blocking read . . . "
! ${PROGRAM_LAUNCHER} ${builddir}/nml_test_blocking_read${EXEEXT} b1 lr /tmp/test.nml 30 8 &
! ${PROGRAM_LAUNCHER} ${builddir}/nml_test_blocking_read${EXEEXT} b1 lr /tmp/test.nml 30 8 &
! ${PROGRAM_LAUNCHER} ${builddir}/nml_test_blocking_read${EXEEXT} b1 lr /tmp/test.nml 30 8 &
sleep 1
! ${PROGRAM_LAUNCHER} ${builddir}/nml_test_blocking_read${EXEEXT} b1 lr /tmp/test.nml 30 8 &
! ${PROGRAM_LAUNCHER} ${builddir}/nml_test_blocking_read${EXEEXT} b1 lr /tmp/test.nml 30 8
!
if test $? -ne 0 ; then
echo "Local blocking read test failed."
***************
*** 171,175 ****
echo "Testing remote write . . . "
! ${builddir}/nml_test_write b1 rw /tmp/test.nml 7
if test $? -ne 0 ; then
echo "Remote write test failed."
--- 190,194 ----
echo "Testing remote write . . . "
! ${PROGRAM_LAUNCHER} ${builddir}/nml_test_write${EXEEXT} b1 rw /tmp/test.nml 7
if test $? -ne 0 ; then
echo "Remote write test failed."
***************
*** 192,196 ****
echo "Testing remote read . . . "
! ${builddir}/nml_test_read b1 rr /tmp/test.nml 7
if test $? -ne 0 ; then
echo "Remote write read failed."
--- 211,215 ----
echo "Testing remote read . . . "
! ${PROGRAM_LAUNCHER} ${builddir}/nml_test_read${EXEEXT} b1 rr /tmp/test.nml 7
if test $? -ne 0 ; then
echo "Remote write read failed."
***************
*** 212,215 ****
--- 231,236 ----
+ ${KILL_LAUNCHER}
+
echo "Kill any nml test programs still running."
procstokill=`ps -ae | grep nml_te | awk '{print $1}'`
***************
*** 227,245 ****
echo "Starting server . . ."
! ${builddir}/nml_test_server b1 b1s /tmp/test.nml &
sleep 5
! ( sleep 5 ; ${builddir}/nml_test_write b1 rw /tmp/test.nml 8 ; \
! ${builddir}/nml_test_blocking_read b1 lr /tmp/test.nml 30 8 ) &
echo "Testing remote blocking read . . . "
! ${builddir}/nml_test_blocking_read b1 lr /tmp/test.nml 30 8 &
! ${builddir}/nml_test_blocking_read b1 rr /tmp/test.nml 30 8 &
! ${builddir}/nml_test_blocking_read b1 rr /tmp/test.nml 30 8 &
sleep 1
! ${builddir}/nml_test_blocking_read b1 lr /tmp/test.nml 30 8 &
date
echo '$?=' $?
! ${builddir}/nml_test_blocking_read b1 rr /tmp/test.nml -1 8
echo '$?=' $?
if test $? -ne 0 ; then
--- 248,266 ----
echo "Starting server . . ."
! ${PROGRAM_LAUNCHER} ${builddir}/nml_test_server${EXEEXT} b1 b1s /tmp/test.nml &
sleep 5
! ( sleep 5 ; ${PROGRAM_LAUNCHER} ${builddir}/nml_test_write${EXEEXT} b1 rw /tmp/test.nml 8 ; \
! ${PROGRAM_LAUNCHER} ${builddir}/nml_test_blocking_read${EXEEXT} b1 lr /tmp/test.nml 30 8 ) &
echo "Testing remote blocking read . . . "
! ${PROGRAM_LAUNCHER} ${builddir}/nml_test_blocking_read${EXEEXT} b1 lr /tmp/test.nml 30 8 &
! ${PROGRAM_LAUNCHER} ${builddir}/nml_test_blocking_read${EXEEXT} b1 rr /tmp/test.nml 30 8 &
! ${PROGRAM_LAUNCHER} ${builddir}/nml_test_blocking_read${EXEEXT} b1 rr /tmp/test.nml 30 8 &
sleep 1
! ${PROGRAM_LAUNCHER} ${builddir}/nml_test_blocking_read${EXEEXT} b1 lr /tmp/test.nml 30 8 &
date
echo '$?=' $?
! ${PROGRAM_LAUNCHER} ${builddir}/nml_test_blocking_read${EXEEXT} b1 rr /tmp/test.nml -1 8
echo '$?=' $?
if test $? -ne 0 ; then
***************
*** 277,281 ****
fi
! ${builddir}/nmlclean /tmp/test.nml
if test -f nmlclean.log ; then
mv nmlclean.log /tmp/nmlclean-1-$$.log
--- 298,304 ----
fi
! ${KILL_LAUNCHER}
!
! ${PROGRAM_LAUNCHER} ${builddir}/nmlclean${EXEEXT} /tmp/test.nml
if test -f nmlclean.log ; then
mv nmlclean.log /tmp/nmlclean-1-$$.log
|